summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorbertagaz <bertagaz@ptitcanardnoir.org>2018-03-20 12:27:50 +0100
committerbertagaz <bertagaz@ptitcanardnoir.org>2018-03-20 12:27:50 +0100
commit6356564e0f8bdf53d216f682e8f8788853889adc (patch)
tree82e02713cbe1cfc9b13ab0b7e09b279d752c0ebc
parent3d8b1ff98e1cb8506dc8759147f9a577af5e9ca1 (diff)
parent8dd945efef3e4f47f11742862cf34b098ae42cc2 (diff)
Merge remote-tracking branch 'origin/feature/14594-asp-gui' into wip/feature/14576-automated-tests-for-ASP-guiwip/feature/14576-automated-tests-for-ASP-gui
-rw-r--r--config/chroot_local-hooks/99-zz-install-ASP-DPKG-hooks (renamed from config/chroot_local-includes/etc/apt/apt.conf.d/80tails-additional-software)7
1 files changed, 7 insertions, 0 deletions
diff --git a/config/chroot_local-includes/etc/apt/apt.conf.d/80tails-additional-software b/config/chroot_local-hooks/99-zz-install-ASP-DPKG-hooks
index bd5b29f..f2d3528 100644
--- a/config/chroot_local-includes/etc/apt/apt.conf.d/80tails-additional-software
+++ b/config/chroot_local-hooks/99-zz-install-ASP-DPKG-hooks
@@ -1,3 +1,10 @@
+#!/bin/sh
+
+set -e
+set -u
+
+cat > /etc/apt/apt.conf.d/80tails-additional-software << EOF
DPkg::Pre-Install-Pkgs { "/usr/local/sbin/tails-additional-software apt-pre"; };
DPkg::Post-Invoke { "/usr/local/sbin/tails-additional-software apt-post &"; };
DPkg::Tools::Options::/usr/local/sbin/tails-additional-software::Version "3";
+EOF